#version 330 core

in FragIn {
	vec2 texCoords;
	vec3 colorTint;
} fragIn;

out vec4 color;

uniform sampler2D texSampler;
uniform float glow = 1.0;

void main() {
	color = texture(texSampler, fragIn.texCoords);
	color.r *= fragIn.colorTint.r * glow;
	color.g *= fragIn.colorTint.g * glow;
	color.b *= fragIn.colorTint.b * glow;
}