#version 330 core

in vec2 pass_texCoords;
in vec3 pass_colorTint;

uniform sampler2D textureSampler;
uniform float glow = 1.0;

void main() {
	gl_FragColor = texture(textureSampler, pass_texCoords);
	gl_FragColor.r *= pass_colorTint.r * glow;
	gl_FragColor.g *= pass_colorTint.g * glow;
	gl_FragColor.b *= pass_colorTint.b * glow;
}